using System;
using System.Web;

namespace HtmlScrubber
{
	public class CoralCDNModule : HtmlScrubberModuleBase
	{
		private static void ReplaceStaticWithCoralCDN()
		{
			if (IsMetaweblogAPIPost())
			{
				HttpContext.Current.Request.Filter = new CoralCDNFilter(HttpContext.Current.Request.Filter);
			}
		}

		protected override void HandleIncoming(object sender, EventArgs e)
		{
			//This next line makes this more testable.
			HttpContext.Current.Items["HTTP_HOST"] = HttpContext.Current.Request.ServerVariables["HTTP_HOST"];
			ReplaceStaticWithCoralCDN();
		}	

		protected override void HandleOutgoing(object sender, EventArgs e)
		{
			//Implement this one instead of HandleIncoming if 
			//you really want to use output rewriting to rewrite static urls.
		}
	}
}
