using System;
using System.Web;

namespace HtmlScrubber
{
	public class WLWCleanupModule : HtmlScrubberModuleBase
	{
		private static void CleanupHtml()
		{
			if (IsMetaweblogAPIPost())
			{
				HttpContext.Current.Request.Filter = new WlWCleanupFilter(HttpContext.Current.Request.Filter);
			}
		}

		private static void RestoreWLWSpecificHtml()
		{
			if (IsMetaweblogAPIPost())
			{
				HttpContext.Current.Response.Filter = new WLWResponseFilter(HttpContext.Current.Response.Filter);
			}
		}

		protected override void HandleIncoming(object sender, EventArgs e)
		{
			CleanupHtml();
		}

		protected override void HandleOutgoing(object sender, EventArgs e)
		{
			RestoreWLWSpecificHtml();
		}
	}
}
